﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="Contoso._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h1>
        Workflow Services<br />
        Visual Design of Workflows using WCF and WF 4
    </h1>
    <p>
        Developers are increasingly adopting service-orientated architecture (SOA) as a way of building distributed applications. For the uninitiated, designing and implementing service-oriented distributed apps can be intimidating. The .NET Framework 4 makes it easier than ever to implement Windows Communication Foundation (WCF) services using Windows Workflow Foundation (WF). 
    </p>
    <p>
        WCF workflow services provide a productive environment for authoring long-running, durable operations or services where enforcing an application protocol via ordering of operations is important. Workflow services are implemented using WF activities that can make use of WCF for sending and receiving data. 
    </p>
    <p>
        In this article I will explain how to combine several features of WCF and WF introduced in the .NET Framework 4 to model a long-running, durable and instrumented mortgage approval process for a real estate company without having to write code. This article is not intended to be a general introduction to WCF or WF, nor does it walk you through the entire process of creating a working solution. Instead, I’m going to focus on the use of important new .NET Framework 4 features through a practical business scenario. A full working solution is included in the code download for this article. 
    </p>
    <p>        
        Full article available at <a href="http://msdn.microsoft.com/en-us/magazine/default.aspx"
            title="MSDN ASP.NET Docs">MSDN Magazine</a>.
    </p>
</asp:Content>
