﻿using System.Runtime.Serialization;

namespace VendorMortgageServices
{
    [DataContract]
    public class MortgageRequestInfo
    {
        [DataMember]
        public string CustomerId { get; set; }

        [DataMember]
        public int HousePrice { get; set; }

        [DataMember]
        public int DownPayment { get; set; }

        [DataMember]
        public int Years { get; set; }

        [DataMember]
        public int Salary { get; set; }

        [DataMember]
        public bool HasCreditHistory { get; set; }

        [DataMember]
        public bool HadBankrupcy { get; set; }

        [DataMember]
        public bool HadForeclosure { get; set; }

        [DataMember]
        public bool InLawsuit { get; set; }
    }
}