﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="AskMortgage.aspx.cs" Inherits="Contoso.AskMortgage" %>

<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <div id="result">
        <asp:Label ID="lblMessage" runat="server"></asp:Label>
    </div>

    <h2>Request Mortgage</h2>

    <h3>General info</h3>
    <table>
        <tr><td>Enter your customer identification</td><td><asp:TextBox ID="txtId" runat="server"/></td></tr>        
        <tr><td>House Price</td><td><asp:TextBox ID="txtHousePrice" runat="server" Text="200000"/></td></tr>              
        <tr><td>% Down payment </td><td><asp:TextBox ID="txtDownpayment" runat="server" Text="20"/></td></tr>                    
        <tr><td>Years</td><td><asp:TextBox ID="txtYears" runat="server" Text="30"/></td></tr>                    
        <tr><td>Salary (yearly)</td><td><asp:TextBox ID="txtSalary" runat="server" Text="0"/></td></tr>                    
        <tr><td>Do you have credit history in the US?</td><td><asp:CheckBox ID="chkCreditHistory" runat="server"/></td></tr>                    
    </table>

    <h3>Declarations</h3>        
    <p><asp:CheckBox ID="chkBankrupcy" runat="server" Text="Have you been declared bankrupt within the past 7 years?"/></p>
    <p><asp:CheckBox ID="chkForeclosure" runat="server" Text="Have you had proprerty foreclosed upon or given title or deed in lieu thereof in the last 7 years?"/></p>
    <p><asp:CheckBox ID="chkLawsuit" runat="server" Text="Are you a party of a lawsuit?"/></p>

    <br />
    <asp:Button ID="btnSubmit" runat="server" Text="Start Approval" OnClick="OnSubmit"/>
    <asp:Button ID="btnMonitor" runat="server" Text="Click here to check the status of the process" OnClick="OnCheckStatus" Visible="false" ForeColor="Green" Font-Bold="true"/>
    
</asp:Content>
