﻿using System;

namespace Contoso
{
    public partial class AskMortgage : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        protected void OnSubmit(object sender, EventArgs e)
        {
            using (ContosoRealEstate.ContosoRealEstateClient client = new ContosoRealEstate.ContosoRealEstateClient())
            {
                string message = "";                
                string result = client.EvaluateMortgage(
                                            out message,
                                            this.txtId.Text,
                                            Convert.ToInt32(this.txtHousePrice.Text),
                                            Convert.ToInt32(this.txtDownpayment.Text),
                                            Convert.ToInt32(this.txtYears.Text),
                                            Convert.ToInt32(this.txtSalary.Text),
                                            this.chkCreditHistory.Checked,
                                            this.chkBankrupcy.Checked,
                                            this.chkLawsuit.Checked,
                                            this.chkForeclosure.Checked);
                lblMessage.CssClass= result;
                lblMessage.Text = message + " (" + result + ")";

                this.btnSubmit.Visible = result.Equals("Incorrect");
                this.btnMonitor.Visible = result.Equals("Approved");
            }            
        }

        protected void OnCheckStatus(object sender, EventArgs e)
        {
            Response.Redirect(string.Format("RequestStatus.aspx?client={0}", this.txtId.Text));
        }
    }
}
