﻿using System;
using System.ServiceModel;

namespace ContosoCrmService
{    
    [ServiceContract]
    public interface IContosoCrmService
    {
        [OperationContract]
        void RegisterInteractionWithCustomer(string customerId, 
                                             DateTime interactionDate, 
                                             string interactionType, 
                                             string interactionInfo);

        [OperationContract]
        void GetCustomer(string customerId);

        [OperationContract]
        void DeleteCustomerInteraction(string customerId, string interactionId);
    }    
}
