﻿using System;
using System.Threading;

namespace VendorMortgageServices
{    
    public class Vendor1MortgageService : IMortgageService
    {
        public void AskRate(string customerId, int housePrice, int downPayment, int years, int salary, bool hasCreditHistory, bool hadBankrupcy, bool hadForeclosure, bool inLawsuit)
        {
            Thread.Sleep(TimeSpan.FromSeconds(10));
            
            bool approved = new Random().Next(1, 10) > 7;

            using (ContosoRealEstate.ContosoRealEstateClient client = new ContosoRealEstate.ContosoRealEstateClient())
            {
                double rate = -1;
                if (approved)
                {
                    rate = 3 + (3 * new Random().NextDouble());
                }
                client.SetRate(customerId, rate);
            }
        }
    }
}
